Instalar Drush 7 usando Composer para Drupal

Enviado por keopx el Sáb, 10/01/2015 - 12:24

Hace tiempo me encontré con este problema. Esto es especialmente frustrante para las personas que buscan empezar a desarrollar con Drupal 8, ya que requiere Drush 7. Usando Composer es de el método más fácil para instalar Drush.

Primero instalar Compositor globalmente.

$ curl -sS https://getcomposer.org/installer | php
$ mv composer.phar /usr/local/bin/composer

Ahora añadir el directorio del composer a su .bash_profile

$ export PATH="$HOME/.composer/vendor/bin:$PATH"

Actualizar su terminal para simplemente volver a cargar la configuración que acabas de añadir.

$ source ~/.bash_profile

Ahora que ya tienes acceso Composer para trabajar, puedes instalar Drush 7 desde la última HEAD.

$ composer global require drush/drush:dev-master

Algunas otras cosas que puedes hacer ...

Mantener Drush (y cualquier otra cosa que hayas instalado usando Composer) al día.

$ composer global update

Revertir a una versión concreta de Drush

$ composer global require drush/drush:7.*

Instalar una versión específica de Drush. Por ejemplo: Drush 6.1.0

$ composer global require drush/drush:6.1.0

Ahora ya puedes disponer drush para Drupal 8, o cualquier versión anterior

Categoria

Añadir nuevo comentario

El contenido de este campo se mantiene privado y no se mostrará públicamente.

HTML Restringido

  • Etiquetas HTML permitidas: <a href hreflang> <em> <strong> <cite> <blockquote cite> <code> <ul type> <ol start type> <li> <dl> <dt> <dd> <h2 id> <h3 id> <h4 id> <h5 id> <h6 id>
  • Saltos automáticos de líneas y de párrafos.
  • Las direcciones de correos electrónicos y páginas web se convierten en enlaces automáticamente.
CAPTCHA
Esta pregunta es para comprobar si usted es un visitante humano y prevenir envíos de spam automatizado.
1 + 13 =
Resuelva este simple problema matemático y escriba la solución; por ejemplo: Para 1+3, escriba 4.